Subject: [IPsec] [Technical Errata Reported] RFC5996 (3036)

From: RFC Errata System <[email-masked]>
Date: Sat, 26 Nov 2011 02:53:21 -0800 (PST)

The following errata report has been submitted for RFC5996,
"Internet Key Exchange Protocol Version 2 (IKEv2)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5996&eid=3036

--------------------------------------
Type: Technical
Reported by: Valery Smyslov <[email-masked]>

Section: 3.10

Original Text
-------------
      [...] Of the notifications defined in this document, the SPI is
      included only with INVALID_SELECTORS and REKEY_SA.

Corrected Text
--------------
      [...] Of the notifications defined in this document, the SPI is
      included only with INVALID_SELECTORS, REKEY_SA and CHILD_SA_NOT_FOUND.

Notes
-----
Original text was carried over from RFC4306 and contradicts with the text in section 2.25, which clearly says that SPI field in CHILD_SA_NOT_FOUND notification is populated. Notification CHILD_SA_NOT_FOUND was not defined in RFC4306, and the whole section 2.25 is new to RFC5996.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5996 (draft-ietf-ipsecme-ikev2bis-11)
--------------------------------------
Title               : Internet Key Exchange Protocol Version 2 (IKEv2)
Publication Date    : September 2010
Author(s)           : C. Kaufman, P. Hoffman, Y. Nir, P. Eronen
Category            : PROPOSED STANDARD
Source              : IP Security Maintenance and Extensions
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: Yoav Nir <[email-masked]>
Date: Sun, 27 Nov 2011 08:34:37 +0200

+1

On Nov 27, 2011, at 6:19 AM, Charlie Kaufman wrote:

> I believe this errata should be marked "Verified". This is pretty clearly a case where the document was updated in one place and a needed corresponding update in another place was missed.
> 
> 	--Charlie
> 
> -----Original Message-----
> From: RFC Errata System [mailto:[email-masked]] 
> Sent: Saturday, November 26, 2011 2:53 AM
> To: Charlie Kaufman; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: [Technical Errata Reported] RFC5996 (3036)
> 
> 
> The following errata report has been submitted for RFC5996, "Internet Key Exchange Protocol Version 2 (IKEv2)".
> 
> This errata is currently posted as "Reported". If necessary, please use "Reply All" to discuss whether it should be verified or rejected. When a decision is reached, the verifying party (IESG) can log in to change the status and edit the report, if necessary. 
> 
> Scanned by Check Point Total Security Gateway.

---

From: Sean Turner <[email-masked]>
Date: Sun, 27 Nov 2011 06:45:52 -0500

Thanks for being so prompt.  I'll mark it as verified.

spt

On 11/27/11 1:34 AM, Yoav Nir wrote:
>> Reported by: Valery Smyslov<[email-masked]>
>>
>> Section: 3.10
>>
>> Original Text
>> -------------

---

From: Charlie Kaufman <[email-masked]>
Date: Sun, 27 Nov 2011 04:19:21 +0000

--Charlie

-----Original Message-----
From: RFC Errata System [mailto:[email-masked]] 
Sent: Saturday, November 26, 2011 2:53 AM
To: Charlie Kaufman; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Technical Errata Reported] RFC5996 (3036)

Section: 3.10

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------